# -*- coding: utf-8 -*-
"""
/***************************************************************************
 mnt_cen38Dialog
                                 A QGIS plugin
 mnt_cen38
 Generated by Plugin Builder: http://g-sherman.github.io/Qgis-Plugin-Builder/
                             -------------------
        begin                : 2022-08-31
        git sha              : $Format:%H$
        copyright            : (C) 2022 by colas Geier / CEN 38
        email                : colas.geier@cen-isere.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
"""

import os
# from webdav3.client import Client

from qgis.PyQt import uic
from qgis.PyQt import QtWidgets
from qgis.core import QgsDataSourceUri

# This loads your .ui file so that PyQt can populate your plugin with the elements from Qt Designer
FORM_CLASS, _ = uic.loadUiType(os.path.join(
    os.path.dirname(__file__), 'mnt_cen38_dialog_base.ui'))


class mnt_cen38Dialog(QtWidgets.QDialog, FORM_CLASS):
    def __init__(self, parent=None):
        """Constructor."""
        super(mnt_cen38Dialog, self).__init__(parent)
        # Set up the user interface from Designer through FORM_CLASS.
        # After self.setupUi() you can access any designer object by doing
        # self.<objectname>, and you can use autoconnect slots - see
        # http://qt-project.org/doc/qt-4.8/designer-using-a-ui-file.html
        # #widgets-and-dialogs-with-auto-connect
        self.setupUi(self)


    # def InitFormulaire(self):
    #     # lst_mnt =  liste[1:]
    #     # lst_mnt =  [x.replace(r'/','') for x in lst_mnt]
    #     # self.listeMNT.addItems(lst_mnt)
    #     self.groupBox.setEnabled(False)
    #     if self.mAuthConfigSelect.configId():
    #         authCfg = self.mAuthConfigSelect.configId()
    #         quri = QgsDataSourceUri()
    #         quri.setParam("authcfg", authCfg)
    #         user = quri.uri().split("user='")[1].split("' ",1)[0]
    #         password = quri.uri().split("password='")[1].split("' ",1)[0]
    #         options = {
    #         'webdav_hostname': "https://drive.craig.fr/remote.php/webdav/",
    #         'webdav_login':    user,
    #         'webdav_password': password
    #         }
    #         client = Client(options)
    #         if client.check():
    #             self.groupBox.setEnabled(True)
    #         else :
    #             self.groupBox.setEnabled(False)
        # else :
        #     self.groupBox.setEnabled(False)



